/***************************************************
 *                                                 *
 *   NWMap v. 1.1                                  *
 *   Copyright 2001, by Jason Harris               *
 *   http://nwmap.nwnonline.net/                   *
 *   nwmap@hotmail.com                             *
 *   jharris@30doradus.org                         *
 *                                                 *
 ***************************************************/
//---------------------------------------------------------------------------
#ifndef AddTilesetFormMainH
#define AddTilesetFormMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TAddTilesetForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TEdit *NameText;
    TBitBtn *OkButton;
    TBitBtn *CancelButton;
    TOpenDialog *OpenDialog;
    TGroupBox *GroupBox1;
    TEdit *FileName3Text;
    TEdit *FileName2Text;
    TEdit *FileName1Text;
    TEdit *FileName0Text;
    TEdit *FileName4Text;
    TButton *Button2;
    TButton *Button1;
    TButton *Button3;
    TButton *Button4;
    TButton *Button5;
    TLabel *Label2;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TGroupBox *GroupBox3;
    TPaintBox *PreviewBox;
    TLabel *Label7;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall FileNameTextChange(TObject *Sender);
private:	// User declarations
    Graphics::TBitmap *Preview;
public:		// User declarations
    __fastcall TAddTilesetForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TAddTilesetForm *AddTilesetForm;
//---------------------------------------------------------------------------
#endif
