/***************************************************
 *                                                 *
 *   NWMap v. 1.1                                  *
 *   Copyright 2001, by Jason Harris               *
 *   http://nwmap.nwnonline.net/                   *
 *   nwmap@hotmail.com                             *
 *   jharris@30doradus.org                         *
 *                                                 *
 ***************************************************/
//---------------------------------------------------------------------------
#ifndef DoorFormMainH
#define DoorFormMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TDoorForm : public TForm
{
__published:	// IDE-managed Components
    TPaintBox *TileBox;
    TComboBox *DoorType;
    TLabel *Label36;
    TListBox *DoorList;
    TBitBtn *BitBtn1;
    TBitBtn *BitBtn2;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall DoorListClick(TObject *Sender);
    void __fastcall DoorTypeChange(TObject *Sender);
    void __fastcall TileBoxPaint(TObject *Sender);
private:	// User declarations
    int x1[6], x2[6], y1[6], y2[6];
    int X1[6], X2[6], Y1[6], Y2[6];
public:		// User declarations
    __fastcall TDoorForm(TComponent* Owner);
    void drawDoors(int X, int Y, TCanvas *c, int w=2);
    void DoorGeometry(void);
    int TileX, TileY;
};
//---------------------------------------------------------------------------
extern PACKAGE TDoorForm *DoorForm;
//---------------------------------------------------------------------------
#endif
