/***************************************************
 *                                                 *
 *   NWMap v. 1.1                                  *
 *   Copyright 2001, by Jason Harris               *
 *   http://nwmap.nwnonline.net/                   *
 *   nwmap@hotmail.com                             *
 *   jharris@30doradus.org                         *
 *                                                 *
 ***************************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("NWMap.res");
USEFORM("NWMapMain.cpp", Form1);
USEFORM("TilesetFormMain.cpp", TilesetForm);
USEUNIT("NWConst.cpp");
USEFORM("YesNoMain.cpp", YesNo);
USEFORM("NWAboutMain.cpp", NWAbout);
USEFORM("TileDescMain.cpp", TileDescForm);
USEFORM("ChangeIDFormMain.cpp", ChangeIDForm);
USEFORM("NewTilesetFormMain.cpp", NewTilesetForm);
USERES("nwmres.RES");
USEFORM("CommandsFormMain.cpp", CommandsForm);
USEUNIT("NWObject.cpp");
USEUNIT("NWNPC.cpp");
USEUNIT("NWCreature.cpp");
USEUNIT("NWItem.cpp");
USEUNIT("NWEvent.cpp");
USEUNIT("NWPortal.cpp");
USEUNIT("NWTile.cpp");
USEFORM("PrintConfigMain.cpp", PrintConfig);
USEFORM("GetMapNameMain.cpp", GetMapName);
USEUNIT("NWPopupFuncs.cpp");
USEUNIT("NWMenuFuncs.cpp");
USEUNIT("NWMouseFuncs.cpp");
USEFORM("DoorFormMain.cpp", DoorForm);
USERC("nwmres.rc");
USEFORM("AddTilesetFormMain.cpp", AddTilesetForm);
USEUNIT("NWKeyFuncs.cpp");
USEUNIT("NWDrawFuncs.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
         Application->Initialize();
         Application->Title = "NWMap";
         Application->CreateForm(__classid(TForm1), &Form1);
         Application->CreateForm(__classid(TTilesetForm), &TilesetForm);
         Application->CreateForm(__classid(TYesNo), &YesNo);
         Application->CreateForm(__classid(TNWAbout), &NWAbout);
         Application->CreateForm(__classid(TTileDescForm), &TileDescForm);
         Application->CreateForm(__classid(TChangeIDForm), &ChangeIDForm);
         Application->CreateForm(__classid(TNewTilesetForm), &NewTilesetForm);
         Application->CreateForm(__classid(TCommandsForm), &CommandsForm);
         Application->CreateForm(__classid(TPrintConfig), &PrintConfig);
         Application->CreateForm(__classid(TGetMapName), &GetMapName);
         Application->CreateForm(__classid(TDoorForm), &DoorForm);
         Application->CreateForm(__classid(TAddTilesetForm), &AddTilesetForm);
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
