/***************************************************
 *                                                 *
 *   NWMap v. 1.1                                  *
 *   Copyright 2001, by Jason Harris               *
 *   http://nwmap.nwnonline.net/                   *
 *   nwmap@hotmail.com                             *
 *   jharris@30doradus.org                         *
 *                                                 *
 ***************************************************/
//---------------------------------------------------------------------------
#ifndef NWTileH
#define NWTileH
//---------------------------------------------------------------------------
class NWTile {
    public:
        int iTile;
        String Name;
        TStringList *Text;
        TList *NPCList, *CreatureList, *ItemList, *EventList, *PortalList;
        NWTile();
        NWTile(NWTile *nwt);
        ~NWTile();
        void AddNPCs(TList *NPCs);
        void AddCreatures(TList *Creatures);
        void AddItems(TList *Stuff);
        void AddEvents(TList *Events);
        void AddPortals(TList *Portals);
};
#endif
