/***************************************************
 *                                                 *
 *   NWMap v. 1.1                                  *
 *   Copyright 2001, by Jason Harris               *
 *   http://nwmap.nwnonline.net/                   *
 *   nwmap@hotmail.com                             *
 *   jharris@30doradus.org                         *
 *                                                 *
 ***************************************************/
//---------------------------------------------------------------------------
#ifndef TileDescMainH
#define TileDescMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "NWTile.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTileDescForm : public TForm
{
__published:	// IDE-managed Components
    TEdit *TileName;
    TLabel *Label1;
    TLabel *Label2;
    TLabel *XTile;
    TLabel *YTile;
    TBitBtn *BitBtn1;
    TBitBtn *BitBtn2;
    TEdit *LocID;
    TButton *ChangeID;
    TBitBtn *BitBtn3;
    TPageControl *PageControl1;
    TTabSheet *DescPage;
    TLabel *Label10;
    TMemo *TileTextBox;
    TTabSheet *NPCPage;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TLabel *Label8;
    TLabel *Label9;
    TEdit *NPCName;
    TListBox *NPCList;
    TComboBox *NPCAlign;
    TComboBox *NPCRace;
    TComboBox *NPCClass;
    TEdit *NPCScript;
    TMemo *NPCText;
    TButton *NPCAdd;
    TButton *NPCRemove;
    TTabSheet *CreaturePage;
    TLabel *Label11;
    TLabel *Label12;
    TLabel *Label13;
    TLabel *Label14;
    TLabel *Label15;
    TLabel *Label16;
    TLabel *Label33;
    TListBox *CreatureList;
    TEdit *CreatType;
    TButton *CreatAdd;
    TButton *CreatRemove;
    TEdit *CreatWeapon;
    TEdit *CreatArmor;
    TEdit *CreatScript;
    TMemo *CreatText;
    TEdit *CreatName;
    TTabSheet *ItemPage;
    TLabel *Label17;
    TLabel *Label18;
    TLabel *Label19;
    TLabel *Label20;
    TLabel *Label21;
    TListBox *ItemList;
    TButton *ItemAdd;
    TButton *ItemRemove;
    TEdit *ItemName;
    TEdit *ItemValue;
    TEdit *ItemScript;
    TMemo *ItemText;
    TCheckBox *ItemMoveable;
    TTabSheet *EventPage;
    TLabel *Label22;
    TLabel *Label23;
    TLabel *Label24;
    TLabel *Label25;
    TLabel *Label26;
    TLabel *Label35;
    TListBox *EventList;
    TComboBox *EventTrigger;
    TEdit *EventScript;
    TComboBox *EventLocation;
    TButton *EventAdd;
    TButton *EventRemove;
    TMemo *EventText;
    TEdit *EventName;
    TTabSheet *PortalPage;
    TLabel *Label27;
    TLabel *Label28;
    TLabel *Label29;
    TLabel *Label30;
    TLabel *Label31;
    TLabel *Label32;
    TLabel *Label34;
    TListBox *PortalList;
    TButton *PortalAdd;
    TButton *PortalRemove;
    TMemo *PortalText;
    TComboBox *PortalLocation;
    TEdit *PortalMap;
    TEdit *PortalTile;
    TEdit *PortalLevel;
    TEdit *PortalName;
    TButton *NPCNew;
    TButton *CreatNew;
    TButton *ItemNew;
    TButton *EventNew;
    TButton *PortalNew;
    void __fastcall ChangeIDClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall NPCAddClick(TObject *Sender);
    void __fastcall NPCRemoveClick(TObject *Sender);
    void __fastcall NPCListClick(TObject *Sender);
    void __fastcall CreatAddClick(TObject *Sender);
    void __fastcall CreatRemoveClick(TObject *Sender);
    void __fastcall CreatureListClick(TObject *Sender);
    void __fastcall ItemAddClick(TObject *Sender);
    void __fastcall ItemRemoveClick(TObject *Sender);
    void __fastcall ItemListClick(TObject *Sender);
    void __fastcall EventAddClick(TObject *Sender);
    void __fastcall EventRemoveClick(TObject *Sender);
    void __fastcall EventListClick(TObject *Sender);
    void __fastcall PortalAddClick(TObject *Sender);
    void __fastcall PortalRemoveClick(TObject *Sender);
    void __fastcall PortalListClick(TObject *Sender);
    void __fastcall CustomEditExit(TObject *Sender);
    void __fastcall ItemMoveableExit(TObject *Sender);
    void __fastcall PageExit(TObject *Sender);
    void __fastcall TEditKeyPress(TObject *Sender, char &Key);
    void __fastcall NPCNewClick(TObject *Sender);
    void __fastcall CreatNewClick(TObject *Sender);
    void __fastcall ItemNewClick(TObject *Sender);
    void __fastcall EventNewClick(TObject *Sender);
    void __fastcall PortalNewClick(TObject *Sender);
private:	// User declarations
    void NPCClear(void);
    void CreatClear(void);
    void ItemClear(void);
    void EventClear(void);
    void PortalClear(void);
public:		// User declarations
    __fastcall TTileDescForm(TComponent* Owner);
    NWTile *nwt;
};
//---------------------------------------------------------------------------
extern PACKAGE TTileDescForm *TileDescForm;
//---------------------------------------------------------------------------
#endif
